Scilab Function
Last update : 16/6/2004

comp - pré-interprétation ou "compilation" de fonctions Scilab

### Calling Sequence

  `comp(function [,opt])`

### Parameters

- `function` : une fonction non "compilée" (type 11)
- `opt` : un entier valant 0 (par défaut) ou 1.

### Description

`comp(function)` "compile" la fonction `function`. Les fonctions "compilées" et interprétées sont équivalentes mais les fonctions "compilées" sont plus rapides. Les fonctions fournies dans les librairies standard de Scilab sont "compilées".

La commande `getf('filename')`

charge les fonctions du fichier `'filename'` et les "compile".

L'option opt==1 est spécifique à des problèmes d'analyse de code (voir macr2lst).

### See Also

`deff`, `getf`, `whereis`, `macr2lst`, `lib`,